function Data=OpenVolViewer(Data)
    openVolViewerFlag=false;
    if ~isfield(Data,'VOL')
        openVolViewerFlag=true;
    else
        if ~handshakeVOL(Data.VOL)
            openVolViewerFlag=true;
        end
    end
    if openVolViewerFlag
        Data.VOL=VolViewer([],1);%,'D:\VolViewer_x64','D:\VolViewer_x64');
    end
    if ~handshakeVOL(Data.VOL)
        timeoutcell=get(Data.VOL,'timeout');
        error(sprintf('VolViewer failed to respond within %d seconds',timeoutcell{1}))
    else
        disp('VolViewer launched successfully');
    end
end
